Acceptance of Sponge-API based Plugins

Discussion in 'BukkitDev Information and Feedback' started by obnoxint, Dec 14, 2015.

Thread Status:
Not open for further replies.
  1. Offline

    obnoxint

    Are plugins that are exclusively based on the Sponge-API accepted on dev.bukkit.org?
     
  2. Online

    timtower Moderator Moderator

    @obnoxint It is a complete different API, they won't work together. So I doubt it.
     
  3. Offline

    obnoxint

    That doesn't answer my question.
     
  4. Online

    timtower Moderator Moderator

    It does:
     
  5. Offline

    obnoxint

    I'm not asking for opinions. I'm asking for a definitive statement.
     
  6. Online

    timtower Moderator Moderator

    @obnoxint Then: it won't.
    It is different from Bukkit, barely related as it is made from scratch.
     
  7. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    Bukkit and Spigot's Bukkit fork are also incompatible in many ways (even prior to August 2014), but those have been accepted since after we all quit. Just FYI. :3
     
    Necrodoom_V2 and obnoxint like this.
  8. Online

    timtower Moderator Moderator

    But they at least have methods in common.
     
  9. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    Sure. But a Spigot API plugin won't run on Bukkit, and a Bukkit plugin might not run on Spigot now either after some changes. Just was pointing out that BukkitDev already accepts Bukkit-incompatible plugins. Not saying Sponge is closer in any way.
     
    Necrodoom_V2 likes this.
  10. Offline

    Bobcat00

    People have made plugins that work with Bukkit and Sponge. Here's one:
    http://dev.bukkit.org/bukkit-plugins/whowas/
    See: "Bukkit and Sponge support in the same jar? What wizardry is this?"
     
  11. Offline

    obnoxint

    I uploaded a CraftBukkit incompatible plugin a day ago.

    For me, it would've been nice to use the existing infrastructure and tools. And for my users it would've been nice to have this extra layer of security.
     
  12. Online

    timtower Moderator Moderator

    Please see the bold in the box below.
     
    Mrs. bwfctower likes this.
  13. Offline

    mrCookieSlime Retired Staff

    @obnoxint
    Since you wanted an official and definitive statement, here it is:

    If your Plugin supports Sponge and CraftBukkit it will be accepted for sure,
    however Plugins which exclusively run on Sponge will get rejected.

    Unless you plan to add cross-compatibility for Sponge and CraftBukkit, you will have to upload your Plugin elsewhere.
     
    obnoxint and Mrs. bwfctower like this.
  14. Offline

    AdamQpzm

    As plugins which only work on 1.8 CraftBukkit (i.e. not CraftBukkit, but renamed software) I assume plugins that are compatible on a Sponge server branded as CraftBukkit would be acceptable too?
     
Thread Status:
Not open for further replies.

Share This Page